Name:           perl-Inline-Filters
Version:        0.17
Release:        1%{?dist}
Summary:        Common source code filters for Inline modules
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Inline-Filters/
Source0:        http://www.cpan.org/authors/id/R/RU/RURBAN/Inline-Filters-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Config)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
# Tests only
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(Inline)
BuildRequires:  perl(Inline::C)
# Required indirectly, optional Inline dependency
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
# Optional tests only
BuildRequires:  perl(Test::Pod) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Parse::RecDescent)

%description
Inline::Filters provide common source code filters to Inline language
modules.

%prep
%setup -q -n Inline-Filters-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=true
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 02 2015 Petr Šabata <contyk@redhat.com> - 0.17-1
- 0.17 bump
- Modernize SPEC

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.16-3
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.16-2
- Perl 5.20 rebuild

* Thu Aug 14 2014 Petr Šabata <contyk@redhat.com> - 0.16-1
- 1.16 bump

* Wed Jul 16 2014 Petr Šabata <contyk@redhat.com> 0.14-1
- Initial packaging
